Index: branches/2.2/phpgwapi/setup/tables_update.inc.php
===================================================================
--- branches/2.2/phpgwapi/setup/tables_update.inc.php	(revision 1835)
+++ branches/2.2/phpgwapi/setup/tables_update.inc.php	(revision 3031)
@@ -1678,9 +48,45 @@
 		$GLOBALS['setup_info']['phpgwapi']['currentver'] = '2.0.002';
 		return $GLOBALS['setup_info']['phpgwapi']['currentver'];
-	}
+	}		
 	$test[] = '2.0.002';
 	function phpgwapi_upgrade2_0_002()
 	{
+		$GLOBALS['setup_info']['phpgwapi']['currentver'] = '2.0.003';
+		return $GLOBALS['setup_info']['phpgwapi']['currentver'];
+	}
+	$test[] = '2.0.003';
+	function phpgwapi_upgrade2_0_003()
+	{
+		$GLOBALS['setup_info']['phpgwapi']['currentver'] = '2.0.004';
+		return $GLOBALS['setup_info']['phpgwapi']['currentver'];
+	}
+	$test[] = '2.0.004';
+	function phpgwapi_upgrade2_0_004()
+	{
+		$GLOBALS['setup_info']['phpgwapi']['currentver'] = '2.0.005';
+		return $GLOBALS['setup_info']['phpgwapi']['currentver'];
+	}
+	$test[] = '2.0.005';
+	function phpgwapi_upgrade2_0_005()
+	{
+		$GLOBALS['setup_info']['phpgwapi']['currentver'] = '2.0.006';
+		return $GLOBALS['setup_info']['phpgwapi']['currentver'];
+	}			
+	$test[] = '2.0.006';
+	function phpgwapi_upgrade2_0_006()
+	{
+		$GLOBALS['setup_info']['phpgwapi']['currentver'] = '2.0.007';
+		return $GLOBALS['setup_info']['phpgwapi']['currentver'];
+	}	
+	$test[] = '2.0.007';
+	function phpgwapi_upgrade2_0_007()
+	{
 		$GLOBALS['setup_info']['phpgwapi']['currentver'] = '2.1.000';
+		return $GLOBALS['setup_info']['phpgwapi']['currentver'];
+	}	
+	$test[] = '2.1.000';
+	function phpgwapi_upgrade2_1_000()
+	{
+		$GLOBALS['setup_info']['phpgwapi']['currentver'] = '2.2.000';
 		return $GLOBALS['setup_info']['phpgwapi']['currentver'];
 	}
Index: branches/2.2/expressoAdmin1_2/setup/tables_update.inc.php
===================================================================
--- branches/2.2/expressoAdmin1_2/setup/tables_update.inc.php	(revision 1836)
+++ branches/2.2/expressoAdmin1_2/setup/tables_update.inc.php	(revision 3031)
@@ -9,50 +9,5 @@
 	* option) any later version.                                               *
 	\**************************************************************************/	
-	$test[] = '1.2';
-	function expressoAdmin1_2_upgrade1_2()
-	{
-		$GLOBALS['setup_info']['expressoAdmin1_2']['currentver'] = '1.21';
-		return $GLOBALS['setup_info']['expressoAdmin1_2']['currentver'];
-	}
-	
-	$test[] = '1.21';
-	function expressoAdmin1_2_upgrade1_21()
-	{
-		$oProc = $GLOBALS['phpgw_setup']->oProc;
-
-		$oProc->CreateTable(
-			'phpgw_expressoadmin_samba', array(
-				'fd' => array(
-					'samba_domain_name' => array( 'type' => 'varchar', 'precision' => 50),
-					'samba_domain_sid' => array( 'type' => 'varchar', 'precision' => 100)
-				),
-				'pk' => array('samba_domain_name'),
-				'fk' => array(),
-				'ix' => array(),
-				'uc' => array()
-			)
-		);
-		
-		$GLOBALS['setup_info']['expressoAdmin1_2']['currentver'] = '1.240';
-		return $GLOBALS['setup_info']['expressoAdmin1_2']['currentver'];
-	}
-
-	$test[] = '1.240';
-	function expressoAdmin1_2_upgrade1_240()
-	{
-		$GLOBALS['setup_info']['expressoAdmin1_2']['currentver'] = '1.250';
-		return $GLOBALS['setup_info']['expressoAdmin1_2']['currentver'];
-	}
-	
-	$test[] = '1.250';
-	function expressoAdmin1_2_upgrade1_250()
-	{
-		$GLOBALS['phpgw_setup']->oProc->DropColumn('phpgw_expressoadmin_log','','appinfo');
-		$GLOBALS['phpgw_setup']->oProc->DropColumn('phpgw_expressoadmin_log','','groupinfo');
-		$GLOBALS['phpgw_setup']->oProc->DropColumn('phpgw_expressoadmin_log','','msg');
-		$GLOBALS['setup_info']['expressoAdmin1_2']['currentver'] = '1.261';
-		return $GLOBALS['setup_info']['expressoAdmin1_2']['currentver'];
-	}
-	
+	// Since Expresso 1.2 using ExpressoAdmin 1.261
 	$test[] = '1.261';
 	function expressoAdmin1_2_upgrade1_261()
@@ -70,7 +25,30 @@
 	function expressoAdmin1_2_upgrade2_0_001()
 	{
+		$GLOBALS['setup_info']['expressoAdmin1_2']['currentver'] = '2.0.002';
+		return $GLOBALS['setup_info']['expressoAdmin1_2']['currentver'];
+	}	
+	$test[] = '2.0.002';
+	function expressoAdmin1_2_upgrade2_0_002()
+	{
+		$GLOBALS['setup_info']['expressoAdmin1_2']['currentver'] = '2.0.003';
+		return $GLOBALS['setup_info']['expressoAdmin1_2']['currentver'];
+	}	
+	$test[] = '2.0.003';
+	function expressoAdmin1_2_upgrade2_0_003()
+	{
+		$GLOBALS['setup_info']['expressoAdmin1_2']['currentver'] = '2.0.004';
+		return $GLOBALS['setup_info']['expressoAdmin1_2']['currentver'];
+	}		
+	$test[] = '2.0.004';
+	function expressoAdmin1_2_upgrade2_0_004()
+	{
 		$GLOBALS['setup_info']['expressoAdmin1_2']['currentver'] = '2.1.000';
 		return $GLOBALS['setup_info']['expressoAdmin1_2']['currentver'];
 	}
-
+	$test[] = '2.1.000';
+	function expressoAdmin1_2_upgrade2_1_000()
+	{
+		$GLOBALS['setup_info']['expressoAdmin1_2']['currentver'] = '2.2.000';
+		return $GLOBALS['setup_info']['expressoAdmin1_2']['currentver'];
+	}
 ?>
Index: branches/2.2/expressoAdmin1_2/setup/setup.inc.php
===================================================================
--- branches/2.2/expressoAdmin1_2/setup/setup.inc.php	(revision 1728)
+++ branches/2.2/expressoAdmin1_2/setup/setup.inc.php	(revision 3031)
@@ -13,5 +13,5 @@
 	$setup_info['expressoAdmin1_2']['title']     	= 'Expresso Admin';
 	/* Ao incrementar versão, não esquecer de declarar função do tables_update.inc.php*/
-	$setup_info['expressoAdmin1_2']['version']   	= '2.1.000';
+	$setup_info['expressoAdmin1_2']['version']   	= '2.2.000';
 	$setup_info['expressoAdmin1_2']['app_order']	= 1;
 	$setup_info['expressoAdmin1_2']['tables'][]		= 'phpgw_expressoadmin';
@@ -35,5 +35,5 @@
 	$setup_info['expressoAdmin1_2']['depends'][] = array(
 		'appname' => 'phpgwapi',
-		'versions' => Array('2.1')
+		'versions' => Array('2.2')
 	);
 ?>
Index: branches/2.2/news_admin/setup/setup.inc.php
===================================================================
--- branches/2.2/news_admin/setup/setup.inc.php	(revision 1728)
+++ branches/2.2/news_admin/setup/setup.inc.php	(revision 3031)
@@ -14,5 +14,5 @@
 	$setup_info['news_admin']['name']      = 'news_admin';
 	//$setup_info['news_admin']['title']     = 'News Admin';
-	$setup_info['news_admin']['version']   = '2.1.000';
+	$setup_info['news_admin']['version']   = '2.2.000';
 	$setup_info['news_admin']['app_order'] = 16;
 	$setup_info['news_admin']['enable']    = 1;
@@ -31,5 +31,5 @@
 	$setup_info['news_admin']['depends'][] = array(
 		 'appname' => 'phpgwapi',
-		 'versions' => Array('2.1')
+		 'versions' => Array('2.2')
 	);
 
Index: branches/2.2/news_admin/setup/tables_update.inc.php
===================================================================
--- branches/2.2/news_admin/setup/tables_update.inc.php	(revision 1835)
+++ branches/2.2/news_admin/setup/tables_update.inc.php	(revision 3031)
@@ -12,141 +12,5 @@
 	* http://www.goldenglair.com                                               *
 	\**************************************************************************/
-
-
-	$test[] = '0.0.1';
-	function news_admin_upgrade0_0_1()
-	{
-		global $setup_info;
-
-		$setup_info['news_admin']['currentver'] = '0.8.1';
-		return $setup_info['news_admin']['currentver'];
-	}
-
-	$test[] = '0.8.1';
-	function news_admin_upgrade0_8_1()
-	{
-		global $setup_info, $phpgw_setup;
-
-		$phpgw_setup->oProc->RenameTable('webpage_news','phpgw_news');
-
-		$setup_info['news_admin']['currentver'] = '0.8.1.001';
-		return $setup_info['news_admin']['currentver'];
-	}
-
-	$test[] = '0.8.1.001';
-	function news_admin_upgrade0_8_1_001()
-	{
-		global $setup_info, $phpgw_setup;
-
-		$phpgw_setup->oProc->AddColumn('phpgw_news','news_cat',array('type' => 'int','precision' => 4,'nullable' => True));
-		$phpgw_setup->oProc->query("update phpgw_news set news_cat='0'",__LINE__,__FILE__);
-
-		$setup_info['news_admin']['currentver'] = '0.8.1.002';
-		return $setup_info['news_admin']['currentver'];
-	}
-
-	$test[] = '0.8.1.002';
-	function news_admin_upgrade0_8_1_002()
-	{
-		$GLOBALS['phpgw_setup']->oProc->AddColumn('phpgw_news','news_teaser',array(
-			'type' => 'varchar',
-			'precision' => '255',
-			'nullable' => True
-		));
-
-
-		$GLOBALS['setup_info']['news_admin']['currentver'] = '0.9.14.500';
-		return $GLOBALS['setup_info']['news_admin']['currentver'];
-	}
-
-	$test[] = '0.9.14.500';
-	function news_admin_upgrade0_9_14_500()
-	{
-		$GLOBALS['phpgw_setup']->oProc->CreateTable('phpgw_news_export',array(
-			'fd' => array(
-				'cat_id' => array('type' => 'int','precision' => '4','nullable' => False),
-				'export_type' => array('type' => 'int','precision' => '2','nullable' => True),
-				'export_itemsyntax' => array('type' => 'int','precision' => '2','nullable' => True),
-				'export_title' => array('type' => 'varchar','precision' => '255','nullable' => True),
-				'export_link' => array('type' => 'varchar','precision' => '255','nullable' => True),
-				'export_description' => array('type' => 'text', 'nullable' => True),
-				'export_img_title' => array('type' => 'varchar','precision' => '255','nullable' => True),
-				'export_img_url' => array('type' => 'varchar','precision' => '255','nullable' => True),
-				'export_img_link' => array('type' => 'varchar','precision' => '255','nullable' => True),
-			),
-			'pk' => array('cat_id'),
-			'fk' => array(),
-			'ix' => array(),
-			'uc' => array()
-		));
-
-		$GLOBALS['setup_info']['news_admin']['currentver'] = '0.9.14.501';
-		return $GLOBALS['setup_info']['news_admin']['currentver'];
-	}
-
-	$test[] = '0.9.14.501';
-	function news_admin_upgrade0_9_14_501()
-	{
-		$GLOBALS['phpgw_setup']->oProc->AddColumn('phpgw_news','news_begin',array(
-			'type' => 'int','precision' => '4','nullable' => True
-		));
-		$GLOBALS['phpgw_setup']->oProc->AddColumn('phpgw_news','news_end',array(
-			'type' => 'int','precision' => '4','nullable' => True
-		));
-		$db2 = $GLOBALS['phpgw_setup']->db;
-		$GLOBALS['phpgw_setup']->oProc->query('SELECT news_id,news_status FROM phpgw_news');
-		while($GLOBALS['phpgw_setup']->oProc->next_record())
-		{
-			$unixtimestampmax = 2147483647;
-			$db2->query('UPDATE phpgw_news SET news_begin=news_date,news_end=' . 
-				(($GLOBALS['phpgw_setup']->oProc->f('news_status') == 'Active') ? $unixtimestampmax : 'news_date') .
-				' WHERE news_id=' . $GLOBALS['phpgw_setup']->oProc->f('news_id'));
-		}
-		$newtbldef = array(
-			'fd' => array(
-				'news_id' => array('type' => 'auto','nullable' => False),
-				'news_date' => array('type' => 'int','precision' => '4','nullable' => True),
-				'news_subject' => array('type' => 'varchar','precision' => '255','nullable' => True),
-				'news_submittedby' => array('type' => 'varchar','precision' => '255','nullable' => True),
-				'news_content' => array('type' => 'blob','nullable' => True),
-				'news_begin' => array('type' => 'int','precision' => '4','nullable' => True),
-				'news_end' => array('type' => 'int','precision' => '4','nullable' => True),
-				'news_cat' => array('type' => 'int','precision' => '4','nullable' => True),
-				'news_teaser' => array('type' => 'varchar','precision' => '255','nullable' => True)
-			),
-			'pk' => array('news_id'),
-			'fk' => array(),
-			'ix' => array('news_date','news_subject'),
-			'uc' => array()
-		);
-		$GLOBALS['phpgw_setup']->oProc->DropColumn('phpgw_news',$newtbldef,'news_status');
-
-		$GLOBALS['setup_info']['news_admin']['currentver'] = '0.9.14.502';
-		return $GLOBALS['setup_info']['news_admin']['currentver'];
-	}
-
-
-	$test[] = '0.9.14.502';
-	function news_admin_upgrade0_9_14_502()
-	{
-		$GLOBALS['phpgw_setup']->oProc->AddColumn('phpgw_news','is_html',array(
-			'type' => 'int',
-			'precision' => '2',
-			'nullable' => False,
-			'default' => '0'
-		));
-
-
-		$GLOBALS['setup_info']['news_admin']['currentver'] = '0.9.14.503';
-		return $GLOBALS['setup_info']['news_admin']['currentver'];
-	}
-
-
-	$test[] = '0.9.14.503';
-	function news_admin_upgrade0_9_14_503()
-	{
-		$GLOBALS['setup_info']['news_admin']['currentver'] = '1.0.0';
-		return $GLOBALS['setup_info']['news_admin']['currentver'];
-	}
+	// Since Expresso 1.2 using news_admin 1.0.0 
 	$test[] = '1.0.0';
 	function news_admin_upgrade1_0_0()
@@ -167,3 +31,9 @@
 		return $GLOBALS['setup_info']['news_admin']['currentver'];
 	}
+	$test[] = '2.1.000';
+	function news_admin_upgrade2_1_000()
+	{
+		$GLOBALS['setup_info']['news_admin']['currentver'] = '2.2.000';
+		return $GLOBALS['setup_info']['news_admin']['currentver'];
+	}	
 ?>
Index: branches/2.2/admin/setup/setup.inc.php
===================================================================
--- branches/2.2/admin/setup/setup.inc.php	(revision 1728)
+++ branches/2.2/admin/setup/setup.inc.php	(revision 3031)
@@ -12,5 +12,5 @@
 
 	$setup_info['admin']['name']      = 'admin';
-	$setup_info['admin']['version']   = '2.1.000';
+	$setup_info['admin']['version']   = '2.2.000';
 	$setup_info['admin']['app_order'] = 1;
 	$setup_info['admin']['tables']    = '';
@@ -47,5 +47,5 @@
 	$setup_info['admin']['depends'][] = array(
 		'appname' => 'phpgwapi',
-		'versions' => Array('2.1')
+		'versions' => Array('2.2')
 	);
 ?>
Index: branches/2.2/help/setup/setup.inc.php
===================================================================
--- branches/2.2/help/setup/setup.inc.php	(revision 1728)
+++ branches/2.2/help/setup/setup.inc.php	(revision 3031)
@@ -13,5 +13,5 @@
 	$setup_info['help']['name']      = 'help';
 	$setup_info['help']['title']     = 'User Manual and Help Page';
-	$setup_info['help']['version']   = '2.1.000';
+	$setup_info['help']['version']   = '2.2.000';
 	$setup_info['help']['app_order'] = 5;
 	$setup_info['help']['enable']    = 2;	// Invisible on top (navigation bar)
@@ -26,5 +26,5 @@
 	$setup_info['help']['depends'][] = array(
 		 'appname' => 'phpgwapi',
-		 'versions' => Array('2.1')
+		 'versions' => Array('2.2')
 	);
 ?>
Index: branches/2.2/jabberit_messenger/setup/setup.inc.php
===================================================================
--- branches/2.2/jabberit_messenger/setup/setup.inc.php	(revision 3030)
+++ branches/2.2/jabberit_messenger/setup/setup.inc.php	(revision 3031)
@@ -8,5 +8,5 @@
 	$setup_info['jabberit_messenger']['name']      	= 'jabberit_messenger';
 	$setup_info['jabberit_messenger']['title']     	= 'Jeti Applet';
-	$setup_info['jabberit_messenger']['version']   	= '2.1.000';
+	$setup_info['jabberit_messenger']['version']   	= '2.2.000';
 	$setup_info['jabberit_messenger']['app_order'] 	= 9;
 	$setup_info['jabberit_messenger']['enable']    	= 1;
Index: branches/2.2/contactcenter/setup/tables_update.inc.php
===================================================================
--- branches/2.2/contactcenter/setup/tables_update.inc.php	(revision 1728)
+++ branches/2.2/contactcenter/setup/tables_update.inc.php	(revision 3031)
@@ -9,111 +9,5 @@
 	* option) any later version.                                               *
 	\**************************************************************************/	
-	$test[] = '0.4.1';
-	function contactcenter_upgrade0_4_1() {
-		
-		$oProc = $GLOBALS['phpgw_setup']->oProc;
-		$oProc->DropTable('phpgw_cc_city');
-		$oProc->DropTable('phpgw_cc_state');
-		$oProc->CreateTable(
-			'phpgw_cc_state',array(
-				'fd' => array(
-					'id_state' => array( 'type' => 'int', 'precision' => 8, 'nullable' => false),
-					'id_country' => array( 'type' => 'char', 'nullable' => false, 'precision' => 2),
-					'state_name' => array( 'type' => 'varchar', 'precision' => 30),
-					'state_symbol' => array( 'type' => 'varchar', 'precision' => 10)
-				),
-				'pk' => array('id_state'),
-				'fk' => array('id_country' => array('phpgw_common_country_list' => 'id_country')),
-				'ix' => array(),
-				'uc' => array()
-			)
-		);
-		$oProc->CreateTable(
-			'phpgw_cc_city', array(
-				'fd' => array(
-					'id_city' => array( 'type' => 'int', 'precision' => 8, 'nullable' => false ),
-					'id_state' => array( 'type' => 'int', 'precision' => 8 ),
-					'id_country' => array( 'type' => 'char', 'nullable' => false, 'precision' => 2),
-					'city_timezone' => array( 'type' => 'int', 'precision' => 2 ),
-					'city_geo_location' => array(  'type'  => 'varchar', 'precision' => 40 ),
-					'city_name' => array( 'type'  => 'varchar', 'precision' => 60, 'nullable' => 'false' ),				
-				),
-				'pk' => array('id_city'),
-				'fk' => array('id_state'   => array('phpgw_cc_state' => 'id_state')	),
-				'ix' => array(),
-				'uc' => array()
-			)		
-		);		
-		
-		include("states_pt-br.inc.php"); 
-		include("cities_pt-br.inc.php");
-		$GLOBALS['setup_info']['contactcenter']['currentver'] = '1.0.0';
-		return $GLOBALS['setup_info']['contactcenter']['currentver'];
-	}
-	$test[] = '1.0.0';
-	function contactcenter_upgrade1_0_0() {
-		$GLOBALS['setup_info']['contactcenter']['currentver'] = '1.0.005';
-		return $GLOBALS['setup_info']['contactcenter']['currentver'];
-	}
-	$test[] = '1.0.005';
-	function contactcenter_upgrade1_0_005() {
-		$GLOBALS['setup_info']['contactcenter']['currentver'] = '1.14';
-		return $GLOBALS['setup_info']['contactcenter']['currentver'];
-	}
-	$test[] = '1.14';
-	function contactcenter_upgrade1_14() {				
-		$GLOBALS['phpgw_setup']->db->query("ALTER TABLE phpgw_cc_connections ALTER COLUMN connection_value TYPE varchar(100)");
-		$GLOBALS['setup_info']['contactcenter']['currentver'] = '1.15';
-		return $GLOBALS['setup_info']['contactcenter']['currentver'];
-	}
-	$test[] = '1.15';
-	function contactcenter_upgrade1_15() {		
-		$GLOBALS['phpgw_setup']->oProc->AddColumn('phpgw_cc_contact','last_status', array('type' => 'char', 'precision' => 1, 'default' => 'N'));
-		$GLOBALS['phpgw_setup']->oProc->AddColumn('phpgw_cc_contact','category', array('type' => 'varchar', 'precision' => 20));				
-		// Verify if last_update column exists.....
-		$GLOBALS['phpgw_setup']->oProc->m_oTranslator->_GetColumns($GLOBALS['phpgw_setup']->oProc,'phpgw_cc_contact', &$sColumns);
- 		if(array_search("last_update",explode(",",$sColumns)) === FALSE) {
-			$GLOBALS['phpgw_setup']->db->query("ALTER TABLE phpgw_cc_contact ADD COLUMN last_update int8 DEFAULT (date_part('epoch'::text, ('now'::text)::timestamp(3) with time zone) * (1000)::double precision)");
- 		}
-		$GLOBALS['setup_info']['contactcenter']['currentver'] = '1.20';
-		return $GLOBALS['setup_info']['contactcenter']['currentver'];
-	}
-	$test[] = '1.20';
-	function contactcenter_upgrade1_20() {
-		$GLOBALS['setup_info']['contactcenter']['currentver'] = '1.20.001';
-		return $GLOBALS['setup_info']['contactcenter']['currentver'];
-	}
-	$test[] = '1.20.001';
-	function contactcenter_upgrade1_20_001() {
-		$GLOBALS['setup_info']['contactcenter']['currentver'] = '1.21';
-		// Verify if plpgsql language is installed.
-		$res = $GLOBALS['phpgw_setup']->db->query("select lanname from pg_language where lanname = 'plpgsql'");
-		if(!strstr($res,'plpgsql')){
-			$GLOBALS['phpgw_setup']->db->query("create language 'plpgsql'");
-		}		
-		// Verify if trigger Insert() for Shared Contacts exists, else create it.....
-		$res = $GLOBALS['phpgw_setup']->db->query("select tgname from pg_trigger where tgname = 'trig_share_catalog_insert'");
-		if(!strstr($res,'trig_share_catalog_insert')){
-			$GLOBALS['phpgw_setup']->db->query("create function share_catalog_insert() returns trigger as ' begin if ".
-				"new.acl_appname = ''contactcenter'' and  new.acl_location <> ''run'' then ".
-				"insert into phpgw_cc_contact_rels (id_contact,id_related,id_typeof_contact_relation) ".
-				"values (new.acl_location::integer,new.acl_account,1); end if; return new; end;' language 'plpgsql';");		
-
-			$GLOBALS['phpgw_setup']->db->query("create trigger trig_share_catalog_insert after insert on phpgw_acl for " .
-				"each row execute procedure share_catalog_insert()"); 
-		}
-		// Verify if trigger Delete() for Shared Contacts exists, else create it.....
-		$res = $GLOBALS['phpgw_setup']->db->query("select tgname from pg_trigger where tgname = 'trig_share_catalog_delete'");		
-		if(!strstr($res,'trig_share_catalog_delete')){
-			$GLOBALS['phpgw_setup']->db->query("create function share_catalog_delete() returns trigger as '	begin if " .
-								"old.acl_appname = ''contactcenter'' then delete from phpgw_cc_contact_rels where " .
-								"id_contact=old.acl_location and id_related=old.acl_account and " .
-								"id_typeof_contact_relation=1; end if; return new; end;' language 'plpgsql'");
-	
-			$GLOBALS['phpgw_setup']->db->query("create trigger trig_share_catalog_delete after delete on phpgw_acl for " .
-				"each row execute procedure share_catalog_delete()");
-		}
-		return $GLOBALS['setup_info']['contactcenter']['currentver'];
-	}
+	// Since Expresso 1.2 using ContactCenter 1.21
 	$test[] = '1.21';
 	function contactcenter_upgrade1_21() {
@@ -129,14 +23,24 @@
 	function contactcenter_upgrade2_0_000() {
 		$GLOBALS['setup_info']['contactcenter']['currentver'] = '2.0.001';
+		return $GLOBALS['setup_info']['contactcenter']['currentver'];
+	}
+	$test[] = '2.0.001';
+	function contactcenter_upgrade2_0_001() {
+		$GLOBALS['setup_info']['contactcenter']['currentver'] = '2.0.002';
+		return $GLOBALS['setup_info']['contactcenter']['currentver'];
+	}		
+	$test[] = '2.0.002';
+	function contactcenter_upgrade2_0_002() {
+		$GLOBALS['setup_info']['contactcenter']['currentver'] = '2.1.000';
+		return $GLOBALS['setup_info']['contactcenter']['currentver'];
+	}	
+	$test[] = '2.1.000';
+	function contactcenter_upgrade2_1_000() {		
 		$GLOBALS['phpgw_setup']->db->query("ALTER TABLE phpgw_cc_contact ADD COLUMN web_page character varying(100)");
  		$GLOBALS['phpgw_setup']->db->query("ALTER TABLE phpgw_cc_contact ADD COLUMN corporate_name character varying(100)");
 		$GLOBALS['phpgw_setup']->db->query("ALTER TABLE phpgw_cc_contact ADD COLUMN job_title character varying(40)");
 		$GLOBALS['phpgw_setup']->db->query("ALTER TABLE phpgw_cc_contact ADD COLUMN department character varying(30)");
+		$GLOBALS['setup_info']['contactcenter']['currentver'] = '2.2.000';
 		return $GLOBALS['setup_info']['contactcenter']['currentver'];
-	}
-	$test[] = '2.0.001';
-	function contactcenter_upgrade2_0_001() {
-		$GLOBALS['setup_info']['contactcenter']['currentver'] = '2.1.000';
-		return $GLOBALS['setup_info']['contactcenter']['currentver'];
-	}
+	}	
 ?>
Index: branches/2.2/contactcenter/setup/setup.inc.php
===================================================================
--- branches/2.2/contactcenter/setup/setup.inc.php	(revision 1728)
+++ branches/2.2/contactcenter/setup/setup.inc.php	(revision 3031)
@@ -17,5 +17,5 @@
 	$setup_info['contactcenter']['name']      = 'contactcenter';
 	$setup_info['contactcenter']['title']     = 'ContactCenter';
-	$setup_info['contactcenter']['version']   = '2.1.000';
+	$setup_info['contactcenter']['version']   = '2.2.000';
 	$setup_info['contactcenter']['app_order'] = 4;
 	$setup_info['contactcenter']['enable']    = 1;
@@ -76,5 +76,5 @@
 	$setup_info['contactcenter']['depends'][] = array(
 		'appname' => 'phpgwapi',
-		'versions' => Array('2.1')
+		'versions' => Array('2.2')
 	);
 ?>
Index: branches/2.2/emailadmin/setup/setup.inc.php
===================================================================
--- branches/2.2/emailadmin/setup/setup.inc.php	(revision 1728)
+++ branches/2.2/emailadmin/setup/setup.inc.php	(revision 3031)
@@ -14,5 +14,5 @@
 	$setup_info['emailadmin']['name']      = 'emailadmin';
 	$setup_info['emailadmin']['title']     = 'EMailAdmin';
-	$setup_info['emailadmin']['version']   = '2.1.000';
+	$setup_info['emailadmin']['version']   = '2.2.000';
 	$setup_info['emailadmin']['app_order'] = 10;
 	$setup_info['emailadmin']['enable']    = 2;
@@ -40,5 +40,5 @@
 	$setup_info['emailadmin']['depends'][] = array(
 		'appname'  => 'phpgwapi',
-		'versions' => Array('2.1')
+		'versions' => Array('2.2')
 	);
 
Index: branches/2.2/emailadmin/setup/tables_update.inc.php
===================================================================
--- branches/2.2/emailadmin/setup/tables_update.inc.php	(revision 1728)
+++ branches/2.2/emailadmin/setup/tables_update.inc.php	(revision 3031)
@@ -92,14 +92,14 @@
    $test[] = '2.0.000';
    function emailadmin_upgrade2_0_000()
-	{
-      $GLOBALS['setup_info']['emailadmin']['currentver'] = '2.0.001';
+	{      
       $GLOBALS['phpgw_setup']->oProc->AddColumn('phpgw_emailadmin','imapcreatespamfolder', array('type' => 'varchar', 'precision' => 3));
       $GLOBALS['phpgw_setup']->oProc->AddColumn('phpgw_emailadmin','imapcyrususerpostspam', array('type' => 'varchar', 'precision' => 30));
+	  $GLOBALS['setup_info']['emailadmin']['currentver'] = '2.1.000';      
       return $GLOBALS['setup_info']['emailadmin']['currentver'];
    }
-   $test[] = '2.0.001';
-   function emailadmin_upgrade2_0_001()
+   $test[] = '2.1.000';
+   function emailadmin_upgrade2_1_000()
 	{
-      $GLOBALS['setup_info']['emailadmin']['currentver'] = '2.1.000';
+      $GLOBALS['setup_info']['emailadmin']['currentver'] = '2.2.000';
       return $GLOBALS['setup_info']['emailadmin']['currentver'];
    }
Index: branches/2.2/preferences/setup/setup.inc.php
===================================================================
--- branches/2.2/preferences/setup/setup.inc.php	(revision 1728)
+++ branches/2.2/preferences/setup/setup.inc.php	(revision 3031)
@@ -13,5 +13,5 @@
 	$setup_info['preferences']['name']      = 'preferences';
 	$setup_info['preferences']['title']     = 'Preferences';
-	$setup_info['preferences']['version']   = '2.1.000';
+	$setup_info['preferences']['version']   = '2.2.000';
 	$setup_info['preferences']['app_order'] = 1;
 	$setup_info['preferences']['tables']    = '';
@@ -28,5 +28,5 @@
 	$setup_info['preferences']['depends'][] = array(
 		'appname' => 'phpgwapi',
-		'versions' => Array('2.1')
+		'versions' => Array('2.2')
 	);
 ?>
Index: branches/2.2/mobile/setup/setup.inc.php
===================================================================
--- branches/2.2/mobile/setup/setup.inc.php	(revision 1728)
+++ branches/2.2/mobile/setup/setup.inc.php	(revision 3031)
@@ -14,5 +14,5 @@
 	$setup_info['mobile']['name']      = 'mobile';
 	$setup_info['mobile']['title']     = 'ExpressoMini';
-	$setup_info['mobile']['version']   = '2.1.000';
+	$setup_info['mobile']['version']   = '2.2.000';
 	$setup_info['mobile']['app_order'] = 4;
 	$setup_info['mobile']['enable']    = 2;
@@ -39,5 +39,5 @@
 	$setup_info['mobile']['depends'][] = array(
 		'appname' => 'phpgwapi',
-		'versions' => Array('2.1')
+		'versions' => Array('2.2')
 	);
 ?>
Index: branches/2.2/calendar/setup/setup.inc.php
===================================================================
--- branches/2.2/calendar/setup/setup.inc.php	(revision 1728)
+++ branches/2.2/calendar/setup/setup.inc.php	(revision 3031)
@@ -12,5 +12,5 @@
 
 	$setup_info['calendar']['name']    = 'calendar';
-	$setup_info['calendar']['version'] = '2.1.000';
+	$setup_info['calendar']['version'] = '2.2.000';
 	$setup_info['calendar']['app_order'] = 3;
 	$setup_info['calendar']['enable']  = 1;
@@ -52,4 +52,4 @@
 	$setup_info['calendar']['depends'][] = array(
 		 'appname' => 'phpgwapi',
-		 'versions' => Array('2.1')
+		 'versions' => Array('2.2')
 	);
Index: branches/2.2/calendar/setup/tables_update.inc.php
===================================================================
--- branches/2.2/calendar/setup/tables_update.inc.php	(revision 1835)
+++ branches/2.2/calendar/setup/tables_update.inc.php	(revision 3031)
@@ -19,42 +19,5 @@
 		$GLOBALS['phpgw_setup']->db->query("ALTER TABLE ".$table." ADD COLUMN ".$column." ".$attrs);
 	}  
-	$test[] = '0.9.2';
-	function calendar_upgrade0_9_2()
-	{
-		$GLOBALS['setup_info']['calendar']['currentver'] = '0.9.17';
-		return $GLOBALS['setup_info']['calendar']['currentver'];
-	}
-	$test[] = '0.9.17';
-	function calendar_upgrade0_9_17()
-	{
-		$GLOBALS['setup_info']['calendar']['currentver'] = '0.9.21';
-		return $GLOBALS['setup_info']['calendar']['currentver'];
-	}
-	$test[] = '0.9.20';
-	function calendar_upgrade0_9_20()
-	{
-		$GLOBALS['setup_info']['calendar']['currentver'] = '0.9.21';
-		return $GLOBALS['setup_info']['calendar']['currentver'];
-	}	
-	$test[] = '0.9.21';
-	function calendar_upgrade0_9_21()
-	{
-		addSpecialColumn("phpgw_cal","last_status","char(1) DEFAULT 'N'::bpchar");
-		addSpecialColumn("phpgw_cal","last_update","int8 DEFAULT (date_part('epoch'::text, ('now'::text)::timestamp(3) with time zone) * (1000)::double precision)");
-		$GLOBALS['setup_info']['calendar']['currentver'] = '0.9.22';
-		return $GLOBALS['setup_info']['calendar']['currentver'];
-	}	
-	$test[] = '0.9.22';
-	function calendar_upgrade0_9_22()
-	{
-		$GLOBALS['setup_info']['calendar']['currentver'] = '0.9.23';
-		return $GLOBALS['setup_info']['calendar']['currentver'];
-	}
-	$test[] = '0.9.23';
-	function calendar_upgrade0_9_23()
-	{
-		$GLOBALS['setup_info']['calendar']['currentver'] = '0.9.3';
-		return $GLOBALS['setup_info']['calendar']['currentver'];
-	}	
+/// Since Expresso 1.2 using Calendar 0.9.3 
 	$test[] = '0.9.3';
 	function calendar_upgrade0_9_3()
@@ -78,6 +41,30 @@
 	function calendar_upgrade2_0_002()
 	{
+		$GLOBALS['setup_info']['calendar']['currentver'] = '2.0.003';
+		return $GLOBALS['setup_info']['calendar']['currentver'];
+	}
+	$test[] = '2.0.003';
+	function calendar_upgrade2_0_003()
+	{
+		$GLOBALS['setup_info']['calendar']['currentver'] = '2.0.004';
+		return $GLOBALS['setup_info']['calendar']['currentver'];
+	}	
+	$test[] = '2.0.004';
+	function calendar_upgrade2_0_004()
+	{
+		$GLOBALS['setup_info']['calendar']['currentver'] = '2.0.005';
+		return $GLOBALS['setup_info']['calendar']['currentver'];
+	}	
+	$test[] = '2.0.005';
+	function calendar_upgrade2_0_005()
+	{
 		$GLOBALS['setup_info']['calendar']['currentver'] = '2.1.000';
 		return $GLOBALS['setup_info']['calendar']['currentver'];
 	}
+	$test[] = '2.1.000';
+	function calendar_upgrade2_1_000()
+	{
+		$GLOBALS['setup_info']['calendar']['currentver'] = '2.2.000';
+		return $GLOBALS['setup_info']['calendar']['currentver'];
+	}
 ?>
Index: branches/2.2/filemanager/setup/setup.inc.php
===================================================================
--- branches/2.2/filemanager/setup/setup.inc.php	(revision 3019)
+++ branches/2.2/filemanager/setup/setup.inc.php	(revision 3031)
@@ -47,5 +47,5 @@
 	(
 		 'appname' => 'phpgwapi',
-		 'versions' => array('2.0.004')
+		 'versions' => array('2.2')
 	);
 ?>
Index: branches/2.2/workflow/setup/setup.inc.php
===================================================================
--- branches/2.2/workflow/setup/setup.inc.php	(revision 1974)
+++ branches/2.2/workflow/setup/setup.inc.php	(revision 3031)
@@ -13,5 +13,5 @@
 	$setup_info['workflow']['name']			= 'workflow';
 	$setup_info['workflow']['title']		= 'Workflow management';
-	$setup_info['workflow']['version']		= '2.1.000';
+	$setup_info['workflow']['version']		= '2.2.000';
 	$setup_info['workflow']['app_order']	= 10;
 	$setup_info['workflow']['enable']		= 1;
@@ -59,9 +59,9 @@
 	$setup_info['workflow']['depends'][] = array(
 		'appname' => 'phpgwapi',
-		'versions' => Array('1.0.0','1.0.1','1.2', '2.0', '2.1')
+		'versions' => Array('1.2', '2.0', '2.2')
 	);
 	$setup_info['workflow']['depends'][] = array(
 		'appname' => 'preferences',
-		'versions' => Array('1.0.0', '0.9.13.002', '2.0', '2.1')
+		'versions' => Array('0.9.13.002', '2.0', '2.2')
 	);
 ?>
